Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-23760

Windows: --wp-sdk option should handle actual Windows SDK versions

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: None
    • Resolution: Fixed
    • Affects Version/s: Release 5.4.0
    • Fix Version/s: Release 6.1.0
    • Component/s: Windows
    • Labels:
    • Environment:

      Windows 10 Pro
      Appc core: 5.4.0-40
      Appc NPM: 4.2.7
      Ti SDK: 5.4.0.v20160810054359

    • Story Points:
      5
    • Sprint:
      2016 Sprint 17 SDK

      Description

      Description

      Currently, when using the --wp-sdk option it will only allow a user to use 8.1 and 10.0 for possible values. When attempting to pass in an actual value for the SDK i.e. 10.0.10240.0, 10.0.10586.0 the CLI will not accept it as valid.

      This option should be made to accept valid versions of the Windows SDK, similar to the --ios-version option in ios-build

      Steps to reproduce
      1. Build a Windows project using appc run -p windows -T wp-device --wp-sdk 10.0.10586.0 --build-only
      Actual result

      The build will error with

      Appcelerator Command-Line Interface, version 5.4.0-40
      Copyright (c) 2014-2016, Appcelerator, Inc.  All Rights Reserved.
       
      Preproduction Environment Active
       
      [ERROR] Invalid "--wp-sdk" value "10.0.10586.0"
       
      Please select a valid wp-sdk value:
       1)  8.1
       2)  10.0
      Select a value by number or name:
      

      Expected result

      The CLI should accept a valid version of the SDK for the --wp-sdk option

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kiguchi Kota Iguchi (Inactive)
                Reporter:
                eharris Ewan Harris
                Reviewer:
                Gary Mathews
                Tester:
                Samir Mohammed
              • Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                    Git Integration